%global _empty_manifest_terminate_build 0
Name:		python-dill
Version:	0.3.6
Release:	1
Summary:	serialize all of python
License:	BSD-3-Clause
URL:		https://github.com/uqfoundation/dill
Source0:	https://files.pythonhosted.org/packages/7c/e7/364a09134e1062d4d5ff69b853a56cf61c223e0afcc6906b6832bcd51ea8/dill-0.3.6.tar.gz
BuildArch:	noarch

Requires:	python3-objgraph

%description
serialize all of python

%package -n python3-dill
Summary:	serialize all of python
Provides:	python-dill
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-dill
serialize all of python

%package help
Summary:	Development documents and examples for dill
Provides:	python3-dill-doc
%description help
serialize all of python

%prep
%autosetup -n dill-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-dill -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Nov 11 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.3.6-1
- Upgrade package to version 0.3.6

* Sat Oct 08 2022 guozhengxin <guozhengxin@kylinos.cn> - 0.3.5.1-1
- Upgrade package to version 0.3.5.1

* Wed May 11 2022 yangping <yangping69@h-partners> - 0.3.4-3
- License compliance rectification

* Sun Apr 24 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.3.4-2
- Add zlib to buildrequires 

* Fri Dec 10 2021 Python_Bot <Python_Bot@openeuler.org> - 0.3.4-1
- Package Init
